org.eclipse.emf.compare.internal.conflict

## Class ResourceAttachmentChangeConflictSearch.Change

- java.lang.Object
- - org.eclipse.emf.compare.internal.conflict.AbstractConflictSearch<ResourceAttachmentChange>
  - - org.eclipse.emf.compare.internal.conflict.ResourceAttachmentChangeConflictSearch.Change

Enclosing class:
  ResourceAttachmentChangeConflictSearch

    public static class ResourceAttachmentChangeConflictSearch.Change
    extends AbstractConflictSearch<ResourceAttachmentChange>

Search conflicts for `ResourceAttachmentChange` of kind `DifferenceKind.CHANGE`.

### Field Summary

### Fields inherited from class org.eclipse.emf.compare.internal.conflict.AbstractConflictSearch

`comparison, diff, index, monitor`

### Constructor Summary

Constructors
Constructor and Description
`Change(ResourceAttachmentChange diff, ComparisonIndex index, Monitor monitor)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `detectConflicts()` Detect conflicts with `AbstractConflictSearch.diff` in its comparison.

### Methods inherited from class org.eclipse.emf.compare.internal.conflict.AbstractConflictSearch

`areMergeableStringAttributeChanges, conflict, getChangedValue, getDiffsInSameMatch, getMatchResource, getRelatedModelElement, getValue, isContainmentDelete, isFeatureMapChange, isFeatureMapChangeOrMergeableStringAttributeChange, isMergeable, isMergeableText, isStringAttributeChange`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Change

    public Change(ResourceAttachmentChange diff,
                  ComparisonIndex index,
                  Monitor monitor)

Constructor.

Parameters:
  `diff` - The diff to search for conflicts
  `index` - Comparison index, must not be null
  `monitor` - the monitor to report progress to, must not be null

### Method Detail

#### detectConflicts

    public void detectConflicts()

Description copied from class: `AbstractConflictSearch`
Detect conflicts with `AbstractConflictSearch.diff` in its comparison. This will add or update conflicts in `diff`'s comparison.

Specified by:
  `detectConflicts` in class `AbstractConflictSearch<ResourceAttachmentChange>`